package com.chinaitop.depot.intelligent.ventilation.model;

import java.util.Date;

import javax.validation.constraints.NotNull;

public class TJob {
    private String id;

    private String taskNumber;

    private Date taskStartTime;

    private Date taskEndTime;

    private Integer taskState;

    private String aerationPlanNumber;

    private String creator;

    private Date creationTime;

    private String operator;

    @NotNull
    private Integer orgId;

    /**
     * 32位唯一编码（通风作业表）
     * @return id 32位唯一编码（通风作业表）
     */
    public String getId() {
        return id;
    }

    /**
     * 32位唯一编码（通风作业表）
     * @param id 32位唯一编码（通风作业表）
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 作业编号
     * @return task_number 作业编号
     */
    public String getTaskNumber() {
        return taskNumber;
    }

    /**
     * 作业编号
     * @param taskNumber 作业编号
     */
    public void setTaskNumber(String taskNumber) {
        this.taskNumber = taskNumber == null ? null : taskNumber.trim();
    }

    /**
     * 作业开始时间
     * @return task_start_time 作业开始时间
     */
    public Date getTaskStartTime() {
        return taskStartTime;
    }

    /**
     * 作业开始时间
     * @param taskStartTime 作业开始时间
     */
    public void setTaskStartTime(Date taskStartTime) {
        this.taskStartTime = taskStartTime;
    }

    /**
     * 作业结束时间
     * @return task_end_time 作业结束时间
     */
    public Date getTaskEndTime() {
        return taskEndTime;
    }

    /**
     * 作业结束时间
     * @param taskEndTime 作业结束时间
     */
    public void setTaskEndTime(Date taskEndTime) {
        this.taskEndTime = taskEndTime;
    }

    /**
     * 作业状态（0:未开始，1:正在进行，2:完毕）
     * @return task_state 作业状态（0:未开始，1:正在进行，2:完毕）
     */
    public Integer getTaskState() {
        return taskState;
    }

    /**
     * 作业状态（0:未开始，1:正在进行，2:完毕）
     * @param taskState 作业状态（0:未开始，1:正在进行，2:完毕）
     */
    public void setTaskState(Integer taskState) {
        this.taskState = taskState;
    }

    /**
     * 通风计划编号
     * @return aeration_plan_number 通风计划编号
     */
    public String getAerationPlanNumber() {
        return aerationPlanNumber;
    }

    /**
     * 通风计划编号
     * @param aerationPlanNumber 通风计划编号
     */
    public void setAerationPlanNumber(String aerationPlanNumber) {
        this.aerationPlanNumber = aerationPlanNumber == null ? null : aerationPlanNumber.trim();
    }

    /**
     * 创建人
     * @return creator 创建人
     */
    public String getCreator() {
        return creator;
    }

    /**
     * 创建人
     * @param creator 创建人
     */
    public void setCreator(String creator) {
        this.creator = creator == null ? null : creator.trim();
    }

    /**
     * 创建时间
     * @return creation_time 创建时间
     */
    public Date getCreationTime() {
        return creationTime;
    }

    /**
     * 创建时间
     * @param creationTime 创建时间
     */
    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    /**
     * 操作人
     * @return operator 操作人
     */
    public String getOperator() {
        return operator;
    }

    /**
     * 操作人
     * @param operator 操作人
     */
    public void setOperator(String operator) {
        this.operator = operator == null ? null : operator.trim();
    }

    /**
     * 组织id
     * @return org_id 组织id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织id
     * @param orgId 组织id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }
}